require "spec_helper"

RSpec.describe OmniAuth::Strategies::Lightspeed do
  context "client options" do
    subject do
      OmniAuth::Strategies::Lightspeed.new({})
    end

    it "has the correct site" do
      expect(subject.options.client_options.site).to eq("https://api.merchantos.com/API")
    end

    it "has the correct authorize url" do
      expect(subject.options.client_options.authorize_url).to eq("https://cloud.merchantos.com/oauth/authorize.php")
    end

    it "has the correct token url" do
      expect(subject.options.client_options.token_url).to eq("https://cloud.merchantos.com/oauth/access_token.php")
    end
  end
end
